Bug 592230 - lnstat - unrecognized and undocumented options
Summary: lnstat - unrecognized and undocumented options
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iproute
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Marcela Mašláňová
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks: 645264
TreeView+ depends on / blocked
 
Reported: 2010-05-14 10:09 UTC by Milos Malik
Modified: 2011-10-06 13:27 UTC (History)
2 users (show)

Fixed In Version: iproute-2.6.32-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 645264 (view as bug list)
Environment:
Last Closed: 2010-11-10 20:41:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
fix typo in lnstat --help (1.11 KB, patch)
2010-06-10 14:26 UTC, Petr Lautrbach
no flags Details | Diff

Description Milos Malik 2010-05-14 10:09:13 UTC
Description of problem:
Usage message contains 2 UNSUPPORTED option(s):
	--dumpt
	--keys
Usage message OMITS 2 supported option(s):
	--dump
	--key
Man page contains 1 UNSUPPORTED option(s):
	--keys
Man page OMITS 1 supported option(s):
	--key


Version-Release number of selected component (if applicable):
iproute-2.6.32-5.el6

How reproducible:
always

Steps to Reproduce:
# ./compare-options.sh `which lnstat`
Program path:
	/usr/sbin/lnstat
Guessing man page path:
	/usr/share/man/man8/lnstat.8.gz
According to binary analysis the binary supports 19 option(s):
	--count
	--dump
	--file
	--help
	--interval
	--key
	--subject
	--version
	--width
	-?
	-V
	-c
	-d
	-f
	-h
	-i
	-k
	-s
	-w

  
Actual results:


Expected results:

Comment 1 RHEL Program Management 2010-05-14 10:54:23 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 RHEL Program Management 2010-05-21 14:15:52 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Petr Lautrbach 2010-06-10 14:26:24 UTC
Created attachment 422928 [details]
fix typo in lnstat --help

Comment 5 releng-rhel@redhat.com 2010-11-10 20:41:10 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.